Bug 198020 - Review Request: perl-POE-Component-SimpleLog
Review Request: perl-POE-Component-SimpleLog
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-07 23:36 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-09 15:05:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-07 23:36:00 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-SimpleLog.spec
SRPM URL:
http://home.comcast.net/~ckweyl/perl-POE-Component-SimpleLog-1.03-0.fc5.src.rpm

Description: 
This module is a vastly simplified logging system that can do nice stuff.
Think of this module as a dispatcher for various logs.

This module *DOES NOT* do anything significant with logs, it simply routes
them to the appropriate place ( Events )

You register a log that you are interested in, by telling SimpleLog the target
session and target event. Once that is done, any log messages your program
generates ( sent to SimpleLog of course ) will be massaged, then sent to the
target session / target event for processing.

This enables an interesting logging system that can be changed during runtime
and allow pluggable interpretation of messages.
Comment 1 Jason Tibbitts 2006-07-08 00:32:02 EDT
* source files match upstream:
   fc5d648853b82364ba92fccd0326e0bd  POE-Component-SimpleLog-1.03.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
O BuildRequires are proper (BR: perl is not required)
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* noarch package, so debuginfo.
* final provides and requires are sane:
   perl(POE::Component::SimpleLog) = 1.03
   perl-POE-Component-SimpleLog = 1.03-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(POE)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=1,  0 wallclock secs ( 0.08 cusr +  0.02 csys =  0.10 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Ralf Corsepius 2006-07-08 00:44:35 EDT
package is noarch

=>   OPTIMIZE="%{optflags}"
is unused/superfluous.

=>  This find also is very likely unnecessary:
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
Comment 3 Chris Weyl 2006-07-09 15:05:44 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.